/*
    TDMB412 Driver for Linux -- tdmb412-vars.h
    Brian Hughes
    August, 1995
    See ChangeLog for revision history

    Extern declarations for stuff in tdmb412-vars.c.  Should be included in
    just about everything except tdmb412-vars.c.
*/

#ifndef TDMB412_VARS_H
#define TDMB412_VARS_H

extern int io_base ;		        /* I/O base address of card */
extern int jtag_irq ;		        /* IRQ that JTAG interface is using */
extern int comport_irq ;	        /* IRQ that comport interface is using */
extern int transfer_mode ;              /* Current transfer mode */
extern int opened ;                     /* Whether or not the device is opened */
extern struct semaphore device_mutex ;
extern struct semaphore var_mutex ;
extern struct file_operations tdmb412_file_ops ;

#endif /* !TDMB412_VARS_H */
