/*
    TDMB412 Driver for Linux -- tdmb412-xfer.h
    Brian Hughes
    August, 1995
    See ChangeLog for revision history

    Function prototypes for stuff in tdmb412-xfer.c
*/

#ifndef TDMB412_XFER_H
#define TDMB412_XFER_H

extern int put_16bit_data(const char *, int) ;
extern int put_8bit_data(const char *, int) ;
extern int get_16bit_data(char *, int) ;
extern int get_8bit_data(char *, int) ;
extern inline int get_read_burst_size(int) ;
extern inline int get_write_burst_size(int) ;

#endif /* !TDMB412_XFER_H */
